/*************************************************************
	File:		delay.c
	Project:	USB PTP\MTP Camera Controller

	Author:				Luke Skaff
	Author's Email:	Luke.Skaff@gmail.com
	Author's Website:	http://blog.LukeSkaff.com/
							http://www.LukeSkaff.com/
 ************************************************************/

#include "delay.h"


/******************************************************************
*******************************************************************
*******************************************************************
Start of platform specific functions
*******************************************************************
*******************************************************************
*******************************************************************/

#ifdef USE_PLATFORM_AVR
	void delay_1ms(void)
	{
		_delay_ms(1);
	}
#endif


#ifdef USE_PLATFORM_NDS

	/* this function will be called by the timer */
	void NDStimerCallBack(void)
	{
		/* Stop the timer */
		//timerStop(TIMER_CHANNEL);
		timerStop(0);

		/* Set timer variable to indicate timer has expired */
		Timer1msFinished=TRUE_B;
	}

	void delay_1ms(void)
	{
		/* Reset timer variable */
		Timer1msFinished=FALSE_B;

		/*** Start timer ***/
		/* 
			Timer Frequency: 33,554,432 Hz
			Channel: 0
			Clock Divider: 64
			Ticks: 525
			Timer run time: (1/33,554,432)*525 ~= .001 sec
		*/
		// void timerStart(int channel, ClockDivider divider, u16 ticks, fp callback)
		timerStart(0, ClockDivider_64, 525, NDStimerCallBack);

		/* Wait for timer to finish */
		while (Timer1msFinished==FALSE_B)
		{
		}

	}


#endif

/******************************************************************
*******************************************************************
*******************************************************************
 End of platform specific functions
*******************************************************************
*******************************************************************
*******************************************************************/




void delay_ms(uint16_t delayCount_ms)
{
	uint16_t i = 0x0000;

	for( ; i < delayCount_ms ; i++)
		delay_1ms();
}
