/*************************************************************
	File:		delay.h
	Project:	USB PTP\MTP Camera Controller

	Author:				Luke Skaff
	Author's Email:	Luke.Skaff@gmail.com
	Author's Website:	http://blog.LukeSkaff.com/
							http://www.LukeSkaff.com/
 ************************************************************/

#ifndef DELAY_H
#define DELAY_H

	#include "globals.h"
	#include "hardware.h"

	/* AVR Dependent Libraries */
	#ifdef USE_PLATFORM_AVR
		#include <util/delay.h>
	#endif

	/* Nintendo DS Dependent Libraries */
	#ifdef USE_PLATFORM_NDS
		#include <PA9.h>
	#endif

	/* Global Variables */
	#ifdef USE_PLATFORM_NDS
		unsigned char Timer1msFinished;
	#endif


	/*** Function prototypes ***/
	void delay_1ms(void);
	void delay_ms(uint16_t);


#endif  /* End of define DELAY_H */
