/*************************************************************
	File:		termina.h
	Project:	USB PTP\MTP Camera Controller

	Author:				Luke Skaff
	Author's Email:	Luke.Skaff@gmail.com
	Author's Website:	http://blog.LukeSkaff.com/
							http://www.LukeSkaff.com/
 ************************************************************/

#ifndef USART_H
#define USART_H

	#include "hardware.h"
	#include <avr/io.h>

	//#define USART_BAUDRATE	9600UL
	//#define USART_BAUDRATE	57600UL
	//#define USART_BAUDRATE	115200UL
	//#define USART_BAUDRATE	250000UL
	#define USART_BAUDRATE	307200UL		/* 9600x32 */
	#define BAUD_PRESCALE (((F_CPU / (USART_BAUDRATE * 8UL))) - 1)


	/* ********** Macros ********** */
	#define Debug_Out(data) (USART_Transmit(data));

	/* ********** Fuction Prototypes ********** */
	void USART_init(void);
	void USART_Transmit(unsigned char);
	void USART_Transmit16b(uint16_t);
	void USART_Transmit32b(uint32_t);
	void Debug_Print_HEX_to_ASCII(unsigned char);
	void Debug_Print_HEX_to_ASCII_W_CR(unsigned char);
	void Debug_Print(unsigned char, unsigned char);
	void Debug_Detailed(unsigned char,unsigned char,char,unsigned char);
	void Debug_Print_ASCII_String(char *);


#endif  /* End of define USART_H */
